=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY(Libpfs)
ADD_SUBDIRECTORY(TonemappingOperators)
ADD_SUBDIRECTORY(HdrCreation)

#ADD_SUBDIRECTORY(arch)
ADD_SUBDIRECTORY(MainWindow)

# Gui specific and main entry point
ADD_SUBDIRECTORY(MainGui)
# CLI specific and main entry point
ADD_SUBDIRECTORY(MainCli)

ADD_SUBDIRECTORY(PreviewPanel)
ADD_SUBDIRECTORY(Common)
ADD_SUBDIRECTORY(OsIntegration)
ADD_SUBDIRECTORY(BatchHDR)
ADD_SUBDIRECTORY(BatchTM)
ADD_SUBDIRECTORY(Core)
ADD_SUBDIRECTORY(Exif)
ADD_SUBDIRECTORY(Fileformat)
ADD_SUBDIRECTORY(Alignment)
ADD_SUBDIRECTORY(HdrWizard)
ADD_SUBDIRECTORY(HelpBrowser)
ADD_SUBDIRECTORY(Preferences)
ADD_SUBDIRECTORY(Projection)
ADD_SUBDIRECTORY(Resize)
ADD_SUBDIRECTORY(TonemappingPanel)
ADD_SUBDIRECTORY(TransplantExif)
ADD_SUBDIRECTORY(UI)
ADD_SUBDIRECTORY(Viewers)
ADD_SUBDIRECTORY(PreviewSettings)

# They need to stay at the bottom of this file!
SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} PARENT_SCOPE)
