=== src/MainWindow/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.ui
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.ui
${CMAKE_CURRENT_SOURCE_DIR}/Splash.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.h
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.h
${CMAKE_CURRENT_SOURCE_DIR}/UpdateChecker.h
)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.cpp
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.cpp
${CMAKE_CURRENT_SOURCE_DIR}/UpdateChecker.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(mainwindow ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})
qt5_use_modules(mainwindow Core Gui Widgets Xml Network Concurrent)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} mainwindow PARENT_SCOPE)
