=== debian/changelog ===
luminance-hdr (2.4.0-9) unstable; urgency=medium

  * Pass non-empty argument to pod2man's --release option as required by perl
    5.24. Closes: #839372
  * Drop debian/menu.
  * Build with hardening=+all.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Oct 2016 19:43:05 +0200

luminance-hdr (2.4.0-8) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * 52_drop_Qt5Declarative_dep.diff / debian/control: Drop unused
    build-dependency on qtquick1-5-dev. Closes: #810627

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jan 2016 12:03:49 +0100

luminance-hdr (2.4.0-7) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807209

  [ Andreas Metzler ]
  * [lintian] Fix typo in debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 07 Dec 2015 08:11:55 +0100

luminance-hdr (2.4.0-6) unstable; urgency=medium

  * 51_qt5_printsupport.diff: Fix build error with newer QT. Closes: #763224

 -- Andreas Metzler <ametzler@debian.org>  Tue, 30 Sep 2014 18:32:29 +0200

luminance-hdr (2.4.0-5) unstable; urgency=medium

  * Add build-dependency on pkg-config. (Thanks, Pino Toscano)
    Closes: #759115
  * Enable parallel build. (Thanks, Pino Toscano)
    Closes: #759119

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Sep 2014 15:05:38 +0200

luminance-hdr (2.4.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 15 Apr 2014 19:09:29 +0200

luminance-hdr (2.4.0-3) experimental; urgency=medium

  [ Leonardo Montecchi ]
  * Requires cmake 2.8.11, bump build-depends.
  * 50_fix_build_kfreebsd-amd64.diff: Workaround for FTBFS on kfreebsd-amd64.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Apr 2014 12:56:18 +0200

luminance-hdr (2.4.0-2) experimental; urgency=medium

  * 40_donotforce_sse.diff: Stop setting -msse2 -msse to fix build error on
    non-x86 archs.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Apr 2014 18:39:33 +0200

luminance-hdr (2.4.0-1) experimental; urgency=low

  [ Andreas Metzler ]
  * New upstream version (2.4.0).
    + add build-depends on libboost-dev.
  * Version build dep on qttools5-dev >= 5.2.1-7 because of #738196.
  * Point Vcs-* to anonscm.d.o.

  [ Leonardo Montecchi ]
  * New upstream version (2.4.0)
  * Updated build-dependencies and dependencies to Qt5.
  * Add build-dependency on libboost-program-options-dev
  * Add build-dependency on libccfits-dev
  * Refresh patch 20_usrsharedoc.diff
  * Updated manpage for luminance-hdr-cli
  * Added patch 30_fixiconpath.diff, fixes installation path of icon
    according to its size.

  [ Lisandro Damián Nica ]
  * Build-Depend on specific qt submodules instead of libqt5-dev.
  * Select QT5 by adding export QT_SELECT := qt5 to debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Apr 2014 13:31:56 +0200
