=== debian/rules ===
#!/usr/bin/make -f

# Various variables used later on:
NOT_NEEDED  = AUTHORS INSTALL LICENSE README Changelog
DEB_DESTDIR = $(CURDIR)/debian/luminance-hdr
MANPAGE     = debian/luminance-hdr.1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export QT_SELECT := qt5

# To enable test-suite build-depend on libgtest-dev and uncomment these lines
###override_dh_auto_configure:
###	cp -a /usr/src/gtest local-gtest && \
###		mkdir local-gtest/debian local-gtest/include && \
###		cp -a debian/compat debian/control local-gtest/debian && \
###		cd local-gtest && \
###		dh_auto_configure --verbose && \
###		dh_auto_build --verbose && \
###		ln -s /usr/include/gtest include/ && \
###		ln -s obj-* lib
###
###	dh_auto_configure --verbose -- -DGTEST_ROOT=$(CURDIR)/local-gtest

override_dh_auto_build:
	# Normal auto_build:
	dh_auto_build --verbose --parallel
	# Build the minimal manpage:
	pod2man --center='Minimal luminance-hdr manpage' \
		--release=$(shell dpkg-parsechangelog -S Version | sed -e 's/.*://' -e 's/-[^-][^-]*//') \
		debian/luminance-hdr.pod > $(MANPAGE)

override_dh_auto_install:
	dh_auto_install --verbose --destdir=$(DEB_DESTDIR)
	# Remove unneeded files
	for i in $(NOT_NEEDED); do \
		rm -v $(DEB_DESTDIR)/usr/share/doc/luminance-hdr/$$i ; \
	done

%:
	dh $@ --parallel
